org.apache.cxf.io

## Class CachedConstants

- java.lang.Object
- - org.apache.cxf.io.CachedConstants

-     public final class CachedConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CIPHER_TRANSFORMATION_BUS_PROP` The cipher transformation name for encrypting the cached content.
    `static String` | `CIPHER_TRANSFORMATION_SYS_PROP` The cipher transformation name for encrypting the cached content.
    `static String` | `MAX_SIZE_BUS_PROP` The data size in bytes to limit the maximum data size to be cached.
    `static String` | `MAX_SIZE_SYS_PROP` The data size in bytes to limit the maximum data size to be cached.
    `static String` | `OUTPUT_DIRECTORY_BUS_PROP` The directory name for storing the temporary files.
    `static String` | `OUTPUT_DIRECTORY_SYS_PROP` The directory name for storing the temporary files.
    `static String` | `THRESHOLD_BUS_PROP` The threshold value in bytes to switch from memory to file caching.
    `static String` | `THRESHOLD_SYS_PROP` The threshold value in bytes to switch from memory to file caching.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OUTPUT_DIRECTORY_SYS_PROP

          public static final String OUTPUT_DIRECTORY_SYS_PROP

      The directory name for storing the temporary files. None is specified by default.
      See Also:
        Constant Field Values

    - #### OUTPUT_DIRECTORY_BUS_PROP

          public static final String OUTPUT_DIRECTORY_BUS_PROP

      The directory name for storing the temporary files. None is specified by default.
      See Also:
        Constant Field Values

    - #### THRESHOLD_SYS_PROP

          public static final String THRESHOLD_SYS_PROP

      The threshold value in bytes to switch from memory to file caching. The default value is 128K for CachedOutputStream and 64K for CachedWriter.
      See Also:
        Constant Field Values

    - #### THRESHOLD_BUS_PROP

          public static final String THRESHOLD_BUS_PROP

      The threshold value in bytes to switch from memory to file caching. The default value is 128K for CachedOutputStream and 64K for CachedWriter.
      See Also:
        Constant Field Values

    - #### MAX_SIZE_SYS_PROP

          public static final String MAX_SIZE_SYS_PROP

      The data size in bytes to limit the maximum data size to be cached. No max size is set by default.
      See Also:
        Constant Field Values

    - #### MAX_SIZE_BUS_PROP

          public static final String MAX_SIZE_BUS_PROP

      The data size in bytes to limit the maximum data size to be cached. No max size is set by default.
      See Also:
        Constant Field Values

    - #### CIPHER_TRANSFORMATION_SYS_PROP

          public static final String CIPHER_TRANSFORMATION_SYS_PROP

      The cipher transformation name for encrypting the cached content. None is specified by default.
      See Also:
        Constant Field Values

    - #### CIPHER_TRANSFORMATION_BUS_PROP

          public static final String CIPHER_TRANSFORMATION_BUS_PROP

      The cipher transformation name for encrypting the cached content. None is specified by default.
      See Also:
        Constant Field Values

Apache CXF